DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Functions
String Allocation/Free functions
The XML parser » Create or Update the XMLNode structure

## Functions
XMLDLLENTRY XMLSTR | stringDup (XMLCSTR source, int cbData=-1)
| Duplicate (copy in a new allocated buffer) the source string.
XMLDLLENTRY void | freeXMLString (XMLSTR t)
| to free the string allocated inside the "stringDup" function or the "createXMLString" function.

## Detailed Description

## Function Documentation

## ◆ stringDup()

XMLDLLENTRY XMLSTR stringDup | ( | XMLCSTR | source,
|  | int | cbData = -1 )

Duplicate (copy in a new allocated buffer) the source string.

This is a very handy function when used with all the "XMLNode::*_WOSD" functions (xmlWOSD).

Parameters

  cbData | If !=0 then cbData is the number of chars to duplicate. New strings allocated with this function should be free'd using the "freeXMLString" function.

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2